# Record machine start button press webhook | Copenhagen Truck Wash API

### Copenhagen Truck Wash API Help

# Record machine start button press webhook

This endpoint documentation is generated directly from `openapi.yaml`.

## Endpoint

GET /relay/button/press/post

## Operation

Operation ID: `addButtonPress`

Record machine start button press webhook

## Authentication

Security requirements:

Scheme | Scopes
--- | ---
BearerAuth | -

## Parameters

Name | In | Required | Type | Description
--- | --- | --- | --- | ---
token | query | no | string |
lane_id | query | no | integer |
reg | query | no | string |

## Responses

Status | Description | Content Types
--- | --- | ---
201 | Button press recorded and linked to a self-serve wash session | application/json
404 |  |

Schema for response `201` (`application/json`):

{ "$ref": "#/components/schemas/MachineButtonPressWebhookResponse" }
17 March 2026